package de.arimond.dt.operators.distribution.test;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.Serializable;

import com.rapidminer.operator.clustering.Centroid;

public class DataBlock implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5187435752056788240L;

	public final char [] cbuf;
	
	public DataBlock(int mb) throws IOException{
		FileInputStream in = new FileInputStream(new File("/home2/a_arimon/testfiles/100"));
		BufferedReader reader = new BufferedReader(new InputStreamReader(in));
		cbuf = new char[mb * MB +1];
		reader.read(cbuf, 0, mb * MB);
		reader.close();
	}
	
	public static int MB = 1024 * 1024;

	public static int KB = 1024;
	
	private int affinity = 0;
	private int colocation = 0;

	private Centroid c;
	
	public void addAffinity(){
		affinity ++;
	}
	public void addColocation(){
		colocation ++;
	}
	
	public int getAffinity(){
		return affinity;
	}
	
	public int getColocation(){
		return colocation;
	}
	
	public void setCentroid(Centroid c){
		this.c = c;
	}
	
}
