/*
 *  RapidMiner DisPaRe
 *
 *  Copyright (C) 2009-2010 by Deutsches Forschungszentrum fuer
 *  Kuenstliche Intelligenz GmbH or its licensors, as applicable.
 *  
 *  This is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU Affero General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  You should have received a copy of the GNU Affero General Public License 
 *  along with this software. If not, see <http://www.gnu.org/licenses/. 
 */
package de.arimond.dt.grid;

import java.awt.Component;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JButton;
import javax.swing.JPanel;

import com.rapidminer.gui.tools.ResourceDockKey;
import com.vlsolutions.swing.docking.DockKey;
import com.vlsolutions.swing.docking.Dockable;

/**
 * TODO 
 * This represents a plugin for rapidminer
 * There shall be some kind of interface to enable/disable grid maintain it.
 * @author Alexander Arimond
 *
 */


public class GridScreen extends JPanel implements Dockable {

	/*public class GridStartStopAction extends Action{
		
	}
	*/
	private final JButton startStopButton = new JButton();
	
	
	public GridScreen(){
		GridBagLayout layout = new GridBagLayout();
		setLayout(layout);
		GridBagConstraints c = new GridBagConstraints();
		c.gridx = 0;
		c.gridy = 0;
		c.fill = GridBagConstraints.BOTH;
		c.weightx = 1;
		c.weighty = 0;
		c.gridwidth = GridBagConstraints.REMAINDER;
		
	}
	
	@Override
	public Component getComponent() {
		return this;
	}

	
	private final DockKey DOCK_KEY = new ResourceDockKey("grid");
	@Override
	public DockKey getDockKey() {
		return DOCK_KEY;
	}

}
