/*
 *  RapidMiner DisPaRe
 *
 *  Copyright (C) 2009-2010 by Deutsches Forschungszentrum fuer
 *  Kuenstliche Intelligenz GmbH or its licensors, as applicable.
 *  
 *  This is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU Affero General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  You should have received a copy of the GNU Affero General Public License 
 *  along with this software. If not, see <http://www.gnu.org/licenses/. 
 */
package de.arimond.dt.operators.distribution.gridgain;

import java.io.Serializable;

import org.gridgain.grid.logger.GridLogger;

import de.arimond.dt.operators.distribution.DistributionMapReduce;

/**
 * 
 * @author Alexander Arimond
 *
 * @param <S>
 * @param <M>
 * @param <O>
 */

public abstract class GridGainMapReduce  <S extends Serializable, M extends Serializable, O extends Serializable> extends DistributionMapReduce <S, M, O> {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = -1739221978187891512L;
	private GridLogger logger;

	public void setGridLogger(GridLogger logger){
		this.logger = logger;
	}
	
	public GridLogger getLogger(){
		return logger;
	}
	
	
	
}
