/*
 *  RapidMiner DisPaRe
 *
 *  Copyright (C) 2009-2010 by Deutsches Forschungszentrum fuer
 *  Kuenstliche Intelligenz GmbH or its licensors, as applicable.
 *  
 *  This is free software: you can redistribute it and/or modify 
 *  it under the terms of the GNU Affero General Public License as published by 
 *  the Free Software Foundation, either version 3 of the License, or 
 *  (at your option) any later version. 
 *  
 *  You should have received a copy of the GNU Affero General Public License 
 *  along with this software. If not, see <http://www.gnu.org/licenses/. 
 */
package de.arimond.dt.operators.features.extraction;

import com.rapidminer.operator.OperatorDescription;

import de.arimond.dt.features.SURFFeatures;
import de.arimond.dt.operators.distribution.images.ImageFeatureExtractionOperator1;
import de.arimond.dt.operators.distribution.images.ImageFeatureExtractionSpec1;

/**
 * 
 * @author Alexander Arimond
 *
 */

public class SURFExtractionDistributionOperator1 extends
		ImageFeatureExtractionOperator1<SURFFeatures> {

	public SURFExtractionDistributionOperator1(OperatorDescription description) {
		super(description);
	}

	@Override
	protected ImageFeatureExtractionSpec1<SURFFeatures> getImageFeatureExtractionSpec() {
		return new SURFExtractionSpec1();
	}
}
